QuickCheck-2.6: Automatic testing of Haskell programs

Safe Haskell | Safe-Inferred

Test.QuickCheck.Text

# Documentation

newtype Str Source

Constructors

MkStr String |

Instances

Show Str |

ranges :: (Show a, Integral a) => a -> a -> Str Source

number :: Int -> String -> String Source

short :: Int -> String -> String Source

showErr :: Show a => a -> String Source

oneLine :: String -> String Source

isOneLine :: String -> Bool Source

bold :: String -> String Source

newTerminal :: Output -> Output -> IO Terminal Source

withStdioTerminal :: (Terminal -> IO a) -> IO aSource

withNullTerminal :: (Terminal -> IO a) -> IO aSource

terminalOutput :: Terminal -> IO String Source

handle :: Handle -> String -> IO ()Source

data Terminal Source

putTemp :: Terminal -> String -> IO ()Source

putPart :: Terminal -> String -> IO ()Source

putLine :: Terminal -> String -> IO ()Source